#### 7.10.3.6 lpGlDimBound

Procedure from library `fpaprops.lib` (see fpaprops_lib).

Usage:
  lpGlDimBound(I); I an ideal

Return:
  int, an upper bound for the global dimension, -1 means infinity

Purpose:
  computing an upper bound for the global dimension

Assume:
  - basering is a Letterplace ring, G is a reduced Groebner Basis

Note:
  if I = LM(I), then the global dimension is equal the Gelfand Kirillov dimension if it is finite
  Global dimension should be 0 for A/G = K and 1 for A/G = K<x1...xn>

Example:

    LIB "fpaprops.lib";
    ring r = 0,(x,y),dp;
    def R = freeAlgebra(r, 5); // constructs a Letterplace ring
    setring R; // sets basering to Letterplace ring
    ideal G = x*x, y*y,x*y*x; // it is a monomial Groebner basis
    lpGlDimBound(G);
    ==> 0
    ideal H = y*x - x*y; H = std(H); // H is a Groebner basis
    lpGlDimBound(H); // gl dim of K[x,y] is 2, as expected
    ==> 2

User manual for Singular version 4.4.1, 2025, generated by texi2html.